Package org.eclipse.net4j.jvm

# Interface IJVMConnector

All Superinterfaces:
  `org.eclipse.net4j.util.collection.Closeable`, `IChannelMultiplexer`, `IConnector`, `org.eclipse.net4j.util.container.IContainer<IChannel>`, `ILocationAware`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `org.eclipse.net4j.util.security.IUserAware`

public interface IJVMConnector extends IConnector
A `connector` that implements JVM-embedded transport.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.channel.IChannelMultiplexer

`DEFAULT_OPEN_CHANNEL_TIMEOUT, NO_CHANNEL_TIMEOUT`

### Fields inherited from interface org.eclipse.net4j.connector.IConnector

`NO_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.channel.IChannelMultiplexer

`getChannels, getOpenChannelTimeout, openChannel, openChannel, openChannel, setOpenChannelTimeout`

### Methods inherited from interface org.eclipse.net4j.connector.IConnector

`connect, connect, connectAsync, getState, getURL, isConnected, waitForConnection`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### getName

String getName()